#!/bin/bash
# $Id: bootstrap.sh 3 2004-03-24 21:15:21Z lennart $

# Copyright 2004 Lennart Poettering
#
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License.  You
# may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.  See the License for the specific language governing
# permissions and limitations under the License.

run_versioned() {
    local P
    type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"

    shift 2
    "$P" "$@"
}

if [ "x$1" = "xam" ] ; then
    set -ex
    run_versioned automake 1.7 -a -c
    ./config.status
else 
    set -ex
    rm -rf autom4te.cache
    rm -f config.cache

    run_versioned aclocal 1.7
    autoheader
    run_versioned automake 1.7 -a -c
    autoconf -Wall

    ./configure --sysconfdir=/etc "$@"

    make clean
fi
